#include <stdio.h>
#include <stdlib.h>

int main()
{
    char c1, c2;
    int a1, a2;
    scanf("%c %c %d %d",& c1,& c2,& a1,& a2);
    if(a1 - a2 >1 || a2 - a1 >1){
        printf("nemoguce");
    }
    else{
        if(a1>a2){
           for(int i=0;i < a2;i++){
            printf("%c" "%c", c1, c2);
           }
           printf("%c", c1);
        }
        else{
           for(int j=0;j < a1;j++){
                printf("%c" "%c", c2, c1);
            }
            if(a2>a1){
                printf("%c", c2);
            }
        }
    }
    return 0;
}